Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class MimeType

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.MarkupElement
                  |
                  +--weblogic.html.MimeType

public class MimeType
extends MarkupElement
implements weblogic.servlet.MimeTypes

The MimeType class identifies MIME types for use with StyleElement, ScriptElement, etc.

Use of MimeTypes conforms to HTML 4.0 and may not be supported in all browsers.

Per RFC152, all content types, content subtypes, character sets, access types, and conversion values for MIME are assigned and listed by the IANA. htmlKona supports a subset of the full list of official MIME types.

Author:
  Copyright (c) 1995-96, WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `StyleElement`, `ScriptElement`

Field Summary
`static MimeType` | `appDcarft` Deprecated. Sets the type to "application/dca-rft".
`static MimeType` | `appMacbinhex40` Deprecated. Sets the type to "application/mac-binhex40".
`static MimeType` | `appMsword` Deprecated. Sets the type to "application/msword".
`static MimeType` | `appPdf` Deprecated. Sets the type to "application/pdf".
`static MimeType` | `appPostscript` Deprecated. Sets the type to "application/postscript".
`static MimeType` | `appRtf` Deprecated. Sets the type to "application/rtf".
`static MimeType` | `appSgml` Deprecated. Sets the type to "application/sgml".
`static MimeType` | `appZip` Deprecated. Sets the type to "application/zip".
`static MimeType` | `audio32kadpcm` Deprecated. Sets the type to "audio/32kadpcm".
`static MimeType` | `audioBasic` Deprecated. Sets the type to "audio/basic".
`static MimeType` | `imageCgm` Deprecated. Sets the type to "image/cgm".
`static MimeType` | `imageGif` Deprecated. Sets the type to "image/gif".
`static MimeType` | `imageIef` Deprecated. Sets the type to "image/ief".
`static MimeType` | `imageJpeg` Deprecated. Sets the type to "image/jpeg".
`static MimeType` | `imageTiff` Deprecated. Sets the type to "image/tiff".
`static MimeType` | `modelIges` Deprecated. Sets the type to "model/iges".
`static MimeType` | `modelMesh` Deprecated. Sets the type to "model/mesh".
`static MimeType` | `modelVrml` Deprecated. Sets the type to "model/vrml".
`static MimeType` | `multiEncrypted` Deprecated. Sets the type to "multipart/encrypted".
`static MimeType` | `multiFormdata` Deprecated. Sets the type to "multipart/form-data".
`static MimeType` | `multiMixed` Deprecated. Sets the type to "multipart/mixed".
`static MimeType` | `multiRelated` Deprecated. Sets the type to "multipart/related".
`static MimeType` | `multiSigned` Deprecated. Sets the type to "multipart/signed".
`static MimeType` | `textCss` Deprecated. Sets the type to "text/css".
`static MimeType` | `textHtml` Deprecated. Sets the type to "text/enriched".
`static MimeType` | `textPlain` Deprecated. Sets the type to "text/plain".
`static MimeType` | `textRichtext` Deprecated. Sets the type to "text/richtext".
`static MimeType` | `textVbscript` Deprecated. Sets the type to "text/vbscript".
`static MimeType` | `videoMpeg` Deprecated. Sets the type to "video/mpeg".
`static MimeType` | `videoQuicktime` Deprecated. Sets the type to "video/quicktime".

Fields inherited from class weblogic.html.MarkupElement
`BeginAddress, BeginAddressStr, BeginBlockquote, BeginBlockquoteStr, BeginBody, BeginBodyStr, BeginBold, BeginBoldStr, BeginCenter, BeginCenterStr, BeginComment, BeginCommentStr, BeginDiv, BeginDivStr, BeginHeadStr, BeginHtml, BeginHtmlStr, BeginItalic, BeginItalicStr, BeginLiteral, BeginLiteralStr, BeginParagraph, BeginParagraphStr, BeginScriptStr, BeginTitle, BeginTitleStr, Break, BreakStr, contents, CR, CRStr, EndAddress, EndAddressStr, EndBlockquote, EndBlockquoteStr, EndBody, EndBodyStr, EndBold, EndBoldStr, EndCenter, EndCenterStr, EndComment, EndCommentStr, EndDiv, EndDivStr, EndFont, EndFontStr, EndHeadStr, EndHtml, EndHtmlStr, EndItalic, EndItalicStr, EndLiteral, EndLiteralStr, EndParagraph, EndParagraphStr, EndScriptStr, EndTitle, EndTitleStr, HorizontalLine, HorizontalLineStr, HorizontalRule, NoBreak, NoBreakStr, WordBreak, WordBreakStr`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`MimeType(java.lang.String type)` Deprecated.

Methods inherited from class weblogic.html.MarkupElement
`BeginFont, BeginFontFace, BeginFontSize, BeginHeader, EndHeader, output, output, output, setContents`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString, widthAsLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### textCss

    public static MimeType textCss

  Deprecated.
  Sets the type to "text/css".

### textVbscript

    public static MimeType textVbscript

  Deprecated.
  Sets the type to "text/vbscript".

### textPlain

    public static MimeType textPlain

  Deprecated.
  Sets the type to "text/plain".

### textRichtext

    public static MimeType textRichtext

  Deprecated.
  Sets the type to "text/richtext".

### textHtml

    public static MimeType textHtml

  Deprecated.
  Sets the type to "text/enriched".

### multiMixed

    public static MimeType multiMixed

  Deprecated.
  Sets the type to "multipart/mixed".

### multiFormdata

    public static MimeType multiFormdata

  Deprecated.
  Sets the type to "multipart/form-data".

### multiRelated

    public static MimeType multiRelated

  Deprecated.
  Sets the type to "multipart/related".

### multiSigned

    public static MimeType multiSigned

  Deprecated.
  Sets the type to "multipart/signed".

### multiEncrypted

    public static MimeType multiEncrypted

  Deprecated.
  Sets the type to "multipart/encrypted".

### appPostscript

    public static MimeType appPostscript

  Deprecated.
  Sets the type to "application/postscript".

### appDcarft

    public static MimeType appDcarft

  Deprecated.
  Sets the type to "application/dca-rft".

### appRtf

    public static MimeType appRtf

  Deprecated.
  Sets the type to "application/rtf".

### appMacbinhex40

    public static MimeType appMacbinhex40

  Deprecated.
  Sets the type to "application/mac-binhex40".

### appPdf

    public static MimeType appPdf

  Deprecated.
  Sets the type to "application/pdf".

### appZip

    public static MimeType appZip

  Deprecated.
  Sets the type to "application/zip".

### appMsword

    public static MimeType appMsword

  Deprecated.
  Sets the type to "application/msword".

### appSgml

    public static MimeType appSgml

  Deprecated.
  Sets the type to "application/sgml".

### imageJpeg

    public static MimeType imageJpeg

  Deprecated.
  Sets the type to "image/jpeg".

### imageGif

    public static MimeType imageGif

  Deprecated.
  Sets the type to "image/gif".

### imageIef

    public static MimeType imageIef

  Deprecated.
  Sets the type to "image/ief".

### imageTiff

    public static MimeType imageTiff

  Deprecated.
  Sets the type to "image/tiff".

### imageCgm

    public static MimeType imageCgm

  Deprecated.
  Sets the type to "image/cgm".

### audioBasic

    public static MimeType audioBasic

  Deprecated.
  Sets the type to "audio/basic".

### audio32kadpcm

    public static MimeType audio32kadpcm

  Deprecated.
  Sets the type to "audio/32kadpcm".

### videoMpeg

    public static MimeType videoMpeg

  Deprecated.
  Sets the type to "video/mpeg".

### videoQuicktime

    public static MimeType videoQuicktime

  Deprecated.
  Sets the type to "video/quicktime".

### modelIges

    public static MimeType modelIges

  Deprecated.
  Sets the type to "model/iges".

### modelVrml

    public static MimeType modelVrml

  Deprecated.
  Sets the type to "model/vrml".

### modelMesh

    public static MimeType modelMesh

  Deprecated.
  Sets the type to "model/mesh".

Constructor Detail

### MimeType

    public MimeType(java.lang.String type)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD